# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/PdfViewerPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PdfViewerPage(object):
    def setupUi(self, PdfViewerPage):
        PdfViewerPage.setObjectName("PdfViewerPage")
        PdfViewerPage.resize(400, 372)
        self.verticalLayout = QtWidgets.QVBoxLayout(PdfViewerPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=PdfViewerPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line14 = QtWidgets.QFrame(parent=PdfViewerPage)
        self.line14.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line14.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line14.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line14.setObjectName("line14")
        self.verticalLayout.addWidget(self.line14)
        self.groupBox = QtWidgets.QGroupBox(parent=PdfViewerPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.contextLengthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.contextLengthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.contextLengthSpinBox.setMinimum(10)
        self.contextLengthSpinBox.setMaximum(60)
        self.contextLengthSpinBox.setObjectName("contextLengthSpinBox")
        self.gridLayout.addWidget(self.contextLengthSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(203, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.highlightCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.highlightCheckBox.setObjectName("highlightCheckBox")
        self.gridLayout.addWidget(self.highlightCheckBox, 1, 0, 1, 3)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=PdfViewerPage)
        self.groupBox_7.setObjectName("groupBox_7")
        self._2 = QtWidgets.QHBoxLayout(self.groupBox_7)
        self._2.setObjectName("_2")
        self.label = QtWidgets.QLabel(parent=self.groupBox_7)
        self.label.setObjectName("label")
        self._2.addWidget(self.label)
        self.recentFilesSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_7)
        self.recentFilesSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.recentFilesSpinBox.setMinimum(5)
        self.recentFilesSpinBox.setMaximum(50)
        self.recentFilesSpinBox.setObjectName("recentFilesSpinBox")
        self._2.addWidget(self.recentFilesSpinBox)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self._2.addItem(spacerItem1)
        self.verticalLayout.addWidget(self.groupBox_7)
        spacerItem2 = QtWidgets.QSpacerItem(20, 132, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem2)

        self.retranslateUi(PdfViewerPage)
        QtCore.QMetaObject.connectSlotsByName(PdfViewerPage)
        PdfViewerPage.setTabOrder(self.contextLengthSpinBox, self.highlightCheckBox)
        PdfViewerPage.setTabOrder(self.highlightCheckBox, self.recentFilesSpinBox)

    def retranslateUi(self, PdfViewerPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("PdfViewerPage", "<b>Configure PDF Viewer</b>"))
        self.groupBox.setTitle(_translate("PdfViewerPage", "Search"))
        self.label_2.setText(_translate("PdfViewerPage", "Context Length:"))
        self.contextLengthSpinBox.setToolTip(_translate("PdfViewerPage", "Enter the amount of characters to show before and after the search string."))
        self.highlightCheckBox.setToolTip(_translate("PdfViewerPage", "Select to highlight all search results in the document."))
        self.highlightCheckBox.setText(_translate("PdfViewerPage", "Highlight all search results"))
        self.groupBox_7.setTitle(_translate("PdfViewerPage", "Recent Files"))
        self.label.setText(_translate("PdfViewerPage", "Number of recent files:"))
        self.recentFilesSpinBox.setToolTip(_translate("PdfViewerPage", "Enter the number of recent files to remember"))
